/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.fabric3.host.runtime;

import org.fabric3.host.Fabric3Exception;

/**
 * Denotes an error starting the runtime
 *
 * @version $Rev: 642 $ $Date: 2007-08-01 11:11:17 -0700 (Wed, 01 Aug 2007) $
 */
public class InitializationException extends Fabric3Exception {

    public InitializationException(String message) {
        super(message);
    }

    public InitializationException(String message, String identifier) {
        super(message, identifier);
    }

    public InitializationException(Throwable cause) {
        super(cause);
    }

    public InitializationException(String message, Throwable cause) {
        super(message, null, cause);
    }

    public InitializationException(String message, String identifier, Throwable cause) {
        super(message, identifier, cause);
    }
}
